#[derive(
    Debug,
    Clone,
    conjure_object::serde::Serialize,
    conjure_object::serde::Deserialize,
    PartialEq,
    Eq,
    PartialOrd,
    Ord,
    Hash
)]
#[serde(crate = "conjure_object::serde")]
#[conjure_object::private::staged_builder::staged_builder]
#[builder(crate = conjure_object::private::staged_builder, update, inline)]
pub struct PropertyConfig {
    #[serde(rename = "isRequired")]
    is_required: bool,
    #[builder(default, into)]
    #[serde(rename = "description", skip_serializing_if = "Option::is_none", default)]
    description: Option<String>,
}
impl PropertyConfig {
    /// Constructs a new instance of the type.
    #[inline]
    pub fn new(is_required: bool) -> Self {
        Self::builder().is_required(is_required).build()
    }
    #[inline]
    pub fn is_required(&self) -> bool {
        self.is_required
    }
    #[inline]
    pub fn description(&self) -> Option<&str> {
        self.description.as_ref().map(|o| &**o)
    }
}
